Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class DefaultUserImpl

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--weblogic.security.acl.User
                  |
                  +--weblogic.security.acl.DefaultUserImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS principal and the Pluggable Security Infrastructure .

public class DefaultUserImpl
extends User
implements java.io.Serializable

DefaultUserImpl is the default implementation of the interface User. It only has a name and credentials -- no other constraints. The credentials can be a password string and/or an X509 certificate or a chain of X509 certificates. Note that certificates are accepted, but ignored; only passwords are honoured.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DefaultUserImpl()` Deprecated. Constructs a DefaultUserImpl.
`DefaultUserImpl(java.lang.String name, java.lang.Object credential, BasicRealm realm)` Deprecated.

Method Summary
`java.lang.Object` | `getCredential(java.lang.Object ownerCredential)` Deprecated. Gets the credential of a DefaultUser.
`BasicRealm` | `getRealm()` Deprecated. Gets the BasicRealm associated with a DefaultUser.
`boolean` | `hasMatchingInfo(UserInfo unauthenticatedUserInfo)` Deprecated.
`protected void` | `setCredential(java.lang.Object credential)` Deprecated.

Methods inherited from class weblogic.security.acl.User
`identityEquals, toString`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultUserImpl

    public DefaultUserImpl()

  Deprecated.
  Constructs a DefaultUserImpl. For serialization only.

### DefaultUserImpl

    public DefaultUserImpl(java.lang.String name,
                           java.lang.Object credential,
                           BasicRealm realm)

  Deprecated.

Method Detail

### getRealm

    public BasicRealm getRealm()

  Deprecated.
  Gets the BasicRealm associated with a DefaultUser.

  Returns:
    BasicRealm
  Overrides:
    getRealm in class User

### getCredential

    public java.lang.Object getCredential(java.lang.Object ownerCredential)

  Deprecated.
  Gets the credential of a DefaultUser. Only an owner of the ACL for a realm can request the credential of a user.

  Parameters:
    `ownerCredential` - Owner of the realm's ACL
  Returns:
    Credential, as a DefaultUserInfo object
  Overrides:
    getCredential in class User

### setCredential

    protected void setCredential(java.lang.Object credential)

  Deprecated.

### hasMatchingInfo

    public boolean hasMatchingInfo(UserInfo unauthenticatedUserInfo)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference